org.eclipse.mat.hprof

## Interface IHprofParserHandler

All Known Implementing Classes:
  HprofParserHandlerImpl

    public interface IHprofParserHandler

### Nested Class Summary

Nested Classes
`static class` `IHprofParserHandler.HeapObject`

### Field Summary

Fields
`static String` `CREATION_DATE`
`static String` `IDENTIFIER_SIZE`
`static String` `REFERENCE_SIZE`
`static String` `STREAM_LENGTH`
`static String` `VERSION`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addClass(ClassImpl clazz, long filePosition, int idSize, int instsize)`
`void` `addGCRoot(long id, long referrer, int rootType)`
`void` `addObject(IHprofParserHandler.HeapObject object)`
`void` `addProperty(String name, String value)`
`void` `beforePass1(XSnapshotInfo snapshotInfo)`
`void` `beforePass2(IProgressListener monitor)`
`void` `cancel()`
`IIndexReader.IOne2LongIndex` `fillIn(IPreliminaryIndex index, IProgressListener listener)`
`int` `getIdentifierSize()`
`long` `getObjectArrayHeapSize(ClassImpl arrayType, int size)`
`long` `getPrimitiveArrayHeapSize(byte elementType, int size)`
`XSnapshotInfo` `getSnapshotInfo()`
`IClass` `lookupClass(long classId)`
`IClass` `lookupClassByIndex(int objIndex)`
`IClass` `lookupClassByName(String name, boolean failOnMultipleInstances)`
`IClass` `lookupPrimitiveArrayClassByType(byte elementType)`
`int` `mapAddressToId(long address)`
`void` `reportInstanceOfObjectArray(long id, long filePosition, long arrayClassID)`
`void` `reportInstanceOfPrimitiveArray(long id, long filePosition, int arrayType)`
`void` `reportInstanceWithClass(long id, long filePosition, long classID, int size)`
`List<IClass>` `resolveClassHierarchy(long classId)`

### Field Detail

#### IDENTIFIER_SIZE

    static final String IDENTIFIER_SIZE

See Also:
  Constant Field Values

#### CREATION_DATE

    static final String CREATION_DATE

See Also:
  Constant Field Values

#### VERSION

    static final String VERSION

See Also:
  Constant Field Values

#### REFERENCE_SIZE

    static final String REFERENCE_SIZE

See Also:
  Constant Field Values

#### STREAM_LENGTH

    static final String STREAM_LENGTH

See Also:
  Constant Field Values

### Method Detail

#### beforePass1

    void beforePass1(XSnapshotInfo snapshotInfo)
              throws IOException

Throws:
  `IOException`

#### beforePass2

    void beforePass2(IProgressListener monitor)
              throws IOException,
                     SnapshotException

Throws:
  `IOException`
  `SnapshotException`

#### fillIn

    IIndexReader.IOne2LongIndex fillIn(IPreliminaryIndex index,
                                       IProgressListener listener)
                                throws IOException

Throws:
  `IOException`

#### cancel

    void cancel()

#### addProperty

    void addProperty(String name,
                     String value)
              throws IOException

Throws:
  `IOException`

#### addGCRoot

    void addGCRoot(long id,
                   long referrer,
                   int rootType)
            throws IOException

Throws:
  `IOException`

#### addClass

    void addClass(ClassImpl clazz,
                  long filePosition,
                  int idSize,
                  int instsize)
           throws IOException

Throws:
  `IOException`

#### addObject

    void addObject(IHprofParserHandler.HeapObject object)
            throws IOException

Throws:
  `IOException`

#### reportInstanceWithClass

    void reportInstanceWithClass(long id,
                                 long filePosition,
                                 long classID,
                                 int size)

#### reportInstanceOfObjectArray

    void reportInstanceOfObjectArray(long id,
                                     long filePosition,
                                     long arrayClassID)

#### reportInstanceOfPrimitiveArray

    void reportInstanceOfPrimitiveArray(long id,
                                        long filePosition,
                                        int arrayType)

#### getIdentifierSize

    int getIdentifierSize()

#### lookupClass

    IClass lookupClass(long classId)

#### lookupClassByName

    IClass lookupClassByName(String name,
                             boolean failOnMultipleInstances)

#### lookupClassByIndex

    IClass lookupClassByIndex(int objIndex)

#### lookupPrimitiveArrayClassByType

    IClass lookupPrimitiveArrayClassByType(byte elementType)

#### resolveClassHierarchy

    List<IClass> resolveClassHierarchy(long classId)

#### mapAddressToId

    int mapAddressToId(long address)

#### getSnapshotInfo

    XSnapshotInfo getSnapshotInfo()

#### getObjectArrayHeapSize

    long getObjectArrayHeapSize(ClassImpl arrayType,
                                int size)

#### getPrimitiveArrayHeapSize

    long getPrimitiveArrayHeapSize(byte elementType,
                                   int size)